/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <sstream>

#include "experimenter/trace_count.h"

using namespace TkResolver;
using namespace Experimenter;

TraceCount:: TraceCount()
{
  append_text("1");
  append_text("2");
  
  set_active_text("1");
}

unsigned
TraceCount:: get_trace_count() const
{
  unsigned i;
  std::istringstream strm(get_active_text());
  strm >> i;
  return i;
}
