/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004-2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_DATA_SET_HOLDER_H__
#define __TK_DATA_SET_HOLDER_H__

#include <odbc++/resultset.h>

namespace TkResolver {
  namespace Db {
    
    class DataSet
      {
      private:
	odbc::ResultSet   *_result;
      public:
	DataSet(odbc::ResultSet *result);
	~DataSet();
	
	odbc::ResultSet & operator*();
	odbc::ResultSet * operator->();
      };
    
  }; /* namespace Db */
}; /* namespace TkResolver */

#endif /* __TK_DATA_SET_HOLDER_H__ */
