/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_QUERY_H__
#define __TK_QUERY_H__

#include "libtkcommon/tkstring.h"
#include "libtkdb/database.h"

namespace TkResolver {
  namespace Query {
    
    String build_query(Db::Database *database, const String &filename);
    Db::IdList get_experiments(Db::Database *database, const TkResolver::String &filename);
    
  }; /* namespace Query */
}; /* namespace TkResolver */

#endif /* __TK_QUERY_H__ */
