/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_HORIZON_H__
#define __TK_EXP_HORIZON_H__

#include <gtkmm.h>

#include "experimenter/speed.h"

namespace TkResolver {
  namespace Experimenter {
    
    class Horizon : public Gtk::VScale
      {
      private:
	Gtk::Adjustment _adjustment;
	
	void scroll_toggled(bool scroll);
      public:
	Horizon(Speed *speed);
	double get_horizon() const;
      };
    
  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_HORIZON_H__ */
